<?php



class TblblogentryMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblblogentryMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblblogentryPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblblogentryPeer::TABLE_NAME);
		$tMap->setPhpName('Tblblogentry');
		$tMap->setClassname('Tblblogentry');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('ENTRY_ID', 'EntryId', 'INTEGER', true, null);

		$tMap->addForeignKey('ENTRY_USER', 'EntryUser', 'INTEGER', 'tbluser', 'US_ID', true, null);

		$tMap->addForeignKey('ENTRY_LINK', 'EntryLink', 'INTEGER', 'tblpresentation', 'PR_ID', false, null);

		$tMap->addForeignKey('ENTRY_LINK', 'EntryLink', 'INTEGER', 'tbldocument', 'DOC_ID', false, null);

		$tMap->addColumn('ENTRY_TITLE', 'EntryTitle', 'VARCHAR', false, 255);

		$tMap->addColumn('ENTRY_CONTENT', 'EntryContent', 'LONGVARCHAR', false, null);

		$tMap->addColumn('ENTRY_CREATEDATE', 'EntryCreatedate', 'TIMESTAMP', true, null);

		$tMap->addColumn('ENTRY_MODIFYDATE', 'EntryModifydate', 'TIMESTAMP', true, null);

		$tMap->addColumn('ENTRY_HIT', 'EntryHit', 'INTEGER', true, null);

		$tMap->addColumn('ENTRY_SCORE', 'EntryScore', 'DOUBLE', true, null);

		$tMap->addColumn('ENTRY_STATUS', 'EntryStatus', 'TINYINT', true, null);

		$tMap->addForeignKey('ENTRY_CATEGORY', 'EntryCategory', 'INTEGER', 'tblblogcategory', 'CAT_ID', true, null);

		$tMap->addColumn('ENTRY_LESSON', 'EntryLesson', 'INTEGER', true, null);

		$tMap->addColumn('ENTRY_TYPE', 'EntryType', 'TINYINT', true, null);

		$tMap->addForeignKey('ENTRY_BLOG', 'EntryBlog', 'INTEGER', 'tblblog', 'BL_ID', true, null);

		$tMap->addColumn('ENTRY_THUMB', 'EntryThumb', 'INTEGER', false, null);

		$tMap->addColumn('ENTRY_THUMBNAIL', 'EntryThumbnail', 'VARCHAR', false, 255);

		$tMap->addColumn('ENTRY_LIKE', 'EntryLike', 'INTEGER', false, null);

		$tMap->addColumn('ENTRY_LIKEINFO', 'EntryLikeinfo', 'VARCHAR', false, 255);

	} 
} 